Skip to main content
GET
Return the result of a workflow (latest run)

Path Parameters

id
string
required

The id of workflow to retrieve the result

Response

The workflow result

workflowId
string

The workflow execution id

runId
string

The specific run id for this execution

input
any

The original input passed to the workflow, null if unavailable

output
any

The result of workflow, null if workflow failed

trace
object

An object with information about the trace generated by the execution

status
enum<string>

The workflow execution status

Available options:
completed,
failed,
canceled,
terminated,
timed_out,
continued_as_new
error
string | null

Error message if workflow failed, null otherwise

errorDetails
object | null

Structured failure details if the workflow failed, null otherwise